<?php # index.php

#   File was released under GNU General Public License 3
#   Articles Copyright (C) 2024  Wloff Apps, Services, Development
#   This program comes with ABSOLUTELY NO WARRANTY;
#=================================================================

# This is the home page, which loads the latest X amount of blog entries
# X is configurable

// include the configuration file
$configs = include('../config.php');

/* ============================================== */
/* ==== Template: page head with body/header ==== */
echo file_get_contents("html/header.html");

?>


    <main class="blogMain">


<?php

/* ============================== */
/* ==== catalogs of the main ==== */

// check if page variable is sent at all
// or if it's a positive integer within the limit of the amount of pages
if (empty($_GET["page"]) || !filter_var($_GET["page"], FILTER_VALIDATE_INT, $pagesRange)) {
    // if not set it to the default 1 - the first page
    $page = 1;
} else {
    // at this point everything should be ok, so set that number
    $page = $_GET["page"];
}

// generate the blog entries
foreach ($filesPages[$page-1] as $fileName) {
    $timeStamp = (int)$fileName;
    displayEntry($fileName, $timeStamp, $articlePath, $dateFormat, $author);
}

// add pagination
generatePagination($numOfPages, $page);

?>


    </main>


<?php

/* ============================================================================== */
/* ==== Template: page footer and the rest, script includes and closing tags ==== */
echo file_get_contents("html/footer.html");

?>


